Subject: rudimentary ISR question

From: Steve Modica <[email-masked]>
Date: Mon, 12 Apr 2004 17:16:39 -0500

Hi All,

I'm looking at the tg3.c driver in the 2.4.21 kernel and in the 
_interrupt routing, the driver is calling spin_lock_irqsave.

Since it's guaranteed that the tg3 interrupt handler will be disabled 
for the duration of the interrupt handler, why can't the driver simply 
call spin_lock?

Steve